Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: DB migration from 1.9.2p2 to 1.9.7  (Read 4990 times)

0 Members and 1 Guest are viewing this topic.

Armadillo

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 72
    • http://www.penguinfriends.org
DB migration from 1.9.2p2 to 1.9.7
« on: January 03, 2013, 12:35:58 PM »

Hi there,

I tried to upgrade Anope from 1.9.2p2 to 1.9.7. I use the plain and flat file configuration. The migration works fine, but no user can auth because all passwords are broken. I tried many combinations of the db backends (db_plain and db_flatfile seem to be the correct combination to convert to the new db format) and different encryption types (on 1.9.2.p2 enc_md5 was the primary encryption) but nothing works.

Any suggestions? :-\
Logged
IRC-Network: irc.PenguinFriends.org | Website: www.PenguinFriends.org
Anope: 1.9.9 | InspIRCd: 2.0

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: DB migration from 1.9.2p2 to 1.9.7
« Reply #1 on: January 05, 2013, 05:55:50 PM »

Hi,

I'd recommend you pastebin your config for the database modules on 1.9.7 together with your current config set up for 1.9.2-p2 so we can see whats what.
Logged

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: DB migration from 1.9.2p2 to 1.9.7
« Reply #2 on: January 05, 2013, 06:39:40 PM »

You need to get Anope 1.9.3 and run db-upgrade, and then bring it into 1.9.7 using db_plain
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: DB migration from 1.9.2p2 to 1.9.7
« Reply #3 on: January 05, 2013, 06:54:02 PM »

Your thread has inspired a wiki faq entry to help explain - http://wiki.anope.org/index.php/1.9:FAQ#Upgrading_to_1.9.x
Logged

Armadillo

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 72
    • http://www.penguinfriends.org
Re: DB migration from 1.9.2p2 to 1.9.7
« Reply #4 on: January 07, 2013, 01:29:17 PM »

Thank you I'll try this! :)

I already thought about this, but I wasn't able to find a download of versions older than 1.9.6 (I think this was because of the relocation of the repository to git).

//UPDATE: It worked. Thank you very much for the help! :)
« Last Edit: January 07, 2013, 02:03:06 PM by Armadillo »
Logged
IRC-Network: irc.PenguinFriends.org | Website: www.PenguinFriends.org
Anope: 1.9.9 | InspIRCd: 2.0
Pages: [1]   Go Up